## org.firebirdsql.jdbc
Interface FirebirdSavepoint

All Known Implementing Classes:
  AbstractSavepoint, FBSavepoint

    public interface FirebirdSavepoint

Savepoint interface, corresponds to the `java.sql.Savepoint` interface defined in JDBC 3.0, but can be used in JDBC 2.0 applications.

Method Summary
`int` `getSavepointId()` Retrieves the generated ID for the savepoint that this `Savepoint` object represents.
`String` `getSavepointName()` Retrieves the name of the savepoint that this `Savepoint` object represents.

Method Detail

### getSavepointId

    int getSavepointId()
                       throws SQLException

  Retrieves the generated ID for the savepoint that this `Savepoint` object represents.

  Returns:
    the numeric ID of this savepoint
  Throws:
    `SQLException` - if this is a named savepoint

### getSavepointName

    String getSavepointName()
                            throws SQLException

  Retrieves the name of the savepoint that this `Savepoint` object represents.

  Returns:
    the name of this savepoint
  Throws:
    `SQLException` - if this is an un-named savepoint

Copyright © 2001-2010. All Rights Reserved.